﻿@model IEnumerable<SSCMvc.Models.MaEnqFollow>
@using SSCMvc.Models;
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.CDate)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.FollowUpType)
            </th>*@

        <th style="width:100px;overflow:hidden">
            @Html.DisplayNameFor(model => model.Remarks)
        </th>
        <th>
            @*@Html.DisplayNameFor(model => model.NextDate)*@
            Next FollowUp Date
        </th>
        <th>
            Enquiry Status
        </th>
        <th>
            By
        </th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>

                @{
                    
        string cdate = string.Format("{0:dd MMM,yyyy}", item.CDate);
                    
                }
                @cdate
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.FollowUpType)
                </td>*@
            <td>
              
                @{
        string rem = item.Remarks;
        if (rem != null)
        {
            if (rem.Length > 20)
            {
                string sustrg = rem.Substring(0, 20);
                @sustrg
                    <br />
                    @*<a id="remarks" onclick="GetRemarks(@item.Id);">Read-More...</a>*@
                    <div class="box">
                        <a id="remarks" style="color:blue">Read-More...</a>
                        <div class="overlay">
                            @rem
                        </div>
                    </div>
            }
            else
            {
                @rem
            }
        }
                }
            </td>
            <td>
                @{

        string nxtfollwdate = string.Format("{0:dd MMM,yyyy}", item.NextDate);
                }
                @nxtfollwdate
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.Enqstatus)
            </td>
            <td>
                @{

        SSCWebDBEntities1 db = new SSCWebDBEntities1();
        int useid = Convert.ToInt32(item.EnqFollowBy);
        string lastfollowby = db.Users.Where(z => z.Id == useid).Select(z => z.username).FirstOrDefault();

                }
                @lastfollowby
            </td>
        </tr>
    }

</table>